{%- from 'components/freigabestatus_badge.html.jinja' import freigabestatus_badge -%}
{%- from 'components/breadcrumbs.html.jinja' import breadcrumbs -%}

{%- macro document_profile_header(header, baseurl) -%}
  <header class="container-fluid border-bottom mt-3 px-md-5">
    {{
      breadcrumbs(
      "Datenfelder",
      "Dokumentsteckbrief" + ("" if header.abstraction_level != "Abstrakt" else " (Abstrakt)"),
      header.back_url
      )
    }}

    <div class="container m-0 p-0">
      <h1 class="fs-4 fw-semibold mb-2">{{ header.name }}</h1>
    </div>
    <div class="d-flex align-items-center flex-wrap gap-2 mb-3">
      {{ header.fim_id }}<span>•</span> Version {{ header.fim_version }}<span
        >•</span
      >
      {{ header.xdf_version }}
      {{ freigabestatus_badge(header.freigabe_status) }}
      <button
        type="button"
        class="btn-icon copy-link-btn p-0 mr-auto"
        aria-label="Kopiere Link zu Dokumentsteckbrief"
        data-href="{{ baseurl }}{{ header.base_href }}"
        data-bs-toggle="tooltip"
        data-bs-placement="bottom"
        data-bs-title="Link zu Dokumentsteckbrief kopieren"
      >
        <i class="bi bi-link-45deg fs-5 text-primary" aria-hidden="true"></i>
      </button>
    </div>
  </header>
{%- endmacro -%}
